Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.launch
Class EPPLaunchClaimKey

    java.lang.Object
      com.verisign.epp.codec.launch.EPPLaunchClaimKey

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPLaunchClaimKey

extends java.lang.Object
implements EPPCodecComponent

The `EPPLaunchClaimKey` a claim key that MAY be passed to a third-party trademark validator such as the Trademark Clearinghouse (TMCH) for querying the information needed to generate a Trademark Claims Notice. The claim key is used as the key for the query in place of the domain name to securely query the service without using a well-known value like a domain name. The OPTIONAL "validatorID" attribute is the Validator Identifier whose value indicates which Trademark Validator to query for the Claims Notice information, with the default being the ICANN TMCH. The "validatorID" attribute MAY reference a non-trademark claims clearinghouse identifier to support other forms of claims notices.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` Constant for the claim key local name
`static java.lang.String` | `ELM_NAME` Constant for the claims check result tag

Constructor Summary
`EPPLaunchClaimKey()` Default constructor for `EPPLaunchClaimKey`.
`EPPLaunchClaimKey(java.lang.String aClaimKey)` Create a `EPPLaunchClaimKey` with the required attribute of of `claimKey`.
`EPPLaunchClaimKey(java.lang.String aClaimKey, java.lang.String aValidatorId)` Create a `EPPLaunchClaimKey` with the required attribute of `claimKey`, and the optional `validatorId` attribute.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPLaunchClaimKey`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPLaunchClaimKey` attributes from the aElement DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPLaunchClaimKey` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchClaimKey` compare.
`java.lang.String` | `getClaimKey()` Gets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.
`java.lang.String` | `getValidatorId()` Gets the OPTIONAL Validator Identifier, which is the unique identifier for the Trademark Validator to query for the Trademark Claims Notice information.
`boolean` | `hasValidatorId()` Is the Validator Identifier defined?
`void` | `setClaimKey(java.lang.String aClaimKey)` Sets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.
`void` | `setValidatorId(java.lang.String aValidatorId)` Sets the OPTIONAL Validator Identifier, which is the unique identifier for the Trademark Validator to query for the Trademark Claims Notice information.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  Constant for the claim key local name

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Constant for the claims check result tag

  See Also:
    Constant Field Values

Constructor Detail

### EPPLaunchClaimKey

    public EPPLaunchClaimKey()

  Default constructor for `EPPLaunchClaimKey`.

### EPPLaunchClaimKey

    public EPPLaunchClaimKey(java.lang.String aClaimKey)

  Create a `EPPLaunchClaimKey` with the required attribute of of `claimKey`.

  Parameters:
    `aClaimKey` - Key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.

### EPPLaunchClaimKey

    public EPPLaunchClaimKey(java.lang.String aClaimKey,
                             java.lang.String aValidatorId)

  Create a `EPPLaunchClaimKey` with the required attribute of `claimKey`, and the optional `validatorId` attribute.

  Parameters:
    `aClaimKey` - Key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.
    `aValidatorId` - Identifier of the Trademark Validator to query using the `aClaimKey` value.

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPLaunchClaimKey` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the `EPPLaunchClaimKey` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPLaunchClaimKey` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPLaunchClaimKey` attributes from the aElement DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPLaunchClaimKey` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPLaunchClaimKey` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPLaunchClaimKey` instance to compare with
  Returns:
    true if equal false otherwise

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPLaunchClaimKey`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPLaunchClaimKey`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getClaimKey

    public java.lang.String getClaimKey()

  Gets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.

  Returns:
    Claim key if set; `null` otherwise.

### setClaimKey

    public void setClaimKey(java.lang.String aClaimKey)

  Sets the key that MAY be passed to an info service of a third party trademark provider like the Trademark Clearinghouse (TMCH) for getting the information needed to generate the trademark claims notice.

  Parameters:
    `aClaimKey` - Claim key

### getValidatorId

    public java.lang.String getValidatorId()

  Gets the OPTIONAL Validator Identifier, which is the unique identifier for the Trademark Validator to query for the Trademark Claims Notice information. If undefined, the ICANN TMCH is the Validator or if the value is "tmch".

  Returns:
    The Validator Identifier if defined; `null` otherwise to indicate to use the ICANN TMCH.

### setValidatorId

    public void setValidatorId(java.lang.String aValidatorId)

  Sets the OPTIONAL Validator Identifier, which is the unique identifier for the Trademark Validator to query for the Trademark Claims Notice information. A `null` value or a value of "tmch" can be specified to indicate the use of the ICANN TMCH.

  Parameters:
    `aValidatorId` - Validator Identifier, where `null` or a value of "tmch" can be specified to indicate the use of the ICANN TMCH.

### hasValidatorId

    public boolean hasValidatorId()

  Is the Validator Identifier defined?

  Returns:
    `true` if the Validator Identifier is defined; `false` otherwise.

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.